*

Αποστολέας Θέμα: Έκανα πατάτα με το sudo apt-get upgrade!  (Αναγνώστηκε 916 φορές)

Αποσυνδεδεμένος bakoulis

  • Mint Apprentice
  • *
  • Μηνύματα: 4
  • Karma: 0
    • Προφίλ
Έκανα πατάτα με το sudo apt-get upgrade!
« στις: Ιούλιος 16, 2017, 12:44:50 μμ »
Βοήθεια παιδιάααα
Την έπαθα σαν πρωτάρης. Προσπαθούσα ανεπιτυχώς να συνδέσω το ipad μέσω usb για να πάρω κάτι φωτό και αφού δεν μου το άνοιγε στο desktop, σέρφαρα για να βρω κάποιον οδηγό να με βοηθήσει σχετικά με το πρόβλημα. Έχω εδώ και χρόνια Linux mint 17.3 (αναβαθμισμένο σκαλί σκαλί από 17 σκέτο).
Βρήκα ότι πρέπει να κάνω αυτό:
sudo apt-add-repository ppa:ingo/ios7support
sudo apt-get update
sudo apt-get upgrade

Τόμπολα! η πατάτα έγινε, από αφηρημάδα έδωσα και την τελευταία εντολή και άρχισε να μου κατεβάζει όλα τα ανεπιθύμητα unstable πακέτα που τόσα χρόνια απέφευγα με επιτυχία!
Παρακολουθούσα αφηρημένα την οθόνη, μέχρι που είδα να μου εγκαθιστά mesa-drivers . Τότε κατάλαβα την πατάτα και διέκοψα τη διαδικασία.
Έκανα ένα reboot και δεν έχω κάποια ορατή ζημιά. Όμως έχω αυτό το πρόβλημα: E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem. Όταν δώσω αυτή την εντολή, η αναθεματισμένη αναβάθμιση συνεχίζει από εκεί που σταμάτησε και εγώ την ξαναδιακόπτω.
Θέλω τη βοήθεια των gourou του forum πρώτον για να διακοπεί οριστικά η αναβάθμιση και δεύτερον για να πισωγυρίσω τα πακέτα που ήδη αναβαθμίστηκαν.
Αν στην  τελική δεν μπορώ να το αποφύγω, ας ολοκληρωθεί η αναβάθμιση και μετά να επιστρέψω στα ασφαλή πακέτα που είχα πριν.
Ευχαριστώ προκαταβολικά.
« Τελευταία τροποποίηση: Ιούλιος 16, 2017, 12:47:03 μμ by bakoulis »

Αποσυνδεδεμένος malapetsasc

  • Cool Mint Master
  • ********
  • Μηνύματα: 88
  • Thanked: 10 times
  • Karma: 4
    • Προφίλ
Απ: Έκανα πατάτα με το sudo apt-get upgrade!
« Απάντηση #1 στις: Ιούλιος 19, 2017, 01:12:18 μμ »
Χωρίς να είμαι ειδικός ολοκλήρωσε την αναβάθμιση αν δεν σε αφήνει να την ματαιώσεις και μετα κανε υποβαθμιση των πακέτων που θέλεις. Αν και δεν νωμίζω να χρειάζεται αν το συστημα σου δουλευει σωστά χωρις προβλήματα.
System:    Host: lmde2 Kernel: 3.16.0-4-amd64 x86_64 (64 bit)
           Desktop: Cinnamon 3.4.6  Distro: LinuxMint 2 betsy
CPU:       Dual core Intel Core2 Duo E8400 (-MCP-) cache: 6144 KB
           Clock Speeds: 1: 2000 MHz 2: 2000 MHz
Graphics:  Card: NVIDIA G92 [GeForce 9800 GTX / 9800 GTX+]
           Display Server: X.Org 1.16.4 drivers: nouveau (unloaded: fbdev,vesa)
           Resolution: [email protected]
           GLX Renderer: Gallium 0.4 on NV92 GLX Version: 3.0 Mesa 10.3.2
Audio:     Card-1 Intel 82801I (ICH9 Family) HD Audio Controller
           driver: snd_hda_intel
           Card-2 Logitech QuickCam E 3500 driver: USB Audio
           Sound: Advanced Linux Sound Arc
The following users thanked this post: bakoulis

Αποσυνδεδεμένος bakoulis

  • Mint Apprentice
  • *
  • Μηνύματα: 4
  • Karma: 0
    • Προφίλ
Απ: Έκανα πατάτα με το sudo apt-get upgrade!
« Απάντηση #2 στις: Ιούλιος 20, 2017, 08:52:21 μμ »
Έδωσα την εντολή: 'sudo dpkg --configure -a' και ολοκλήρωσε την εγκατάσταση σε κάποια πακέτα που εκκρεμούσαν, χωρίς να εγκαταστήσει όλα τα επικίνδυνα πακέτα. Πάντως και αυτά που εγκαταστάθηκαν, έκαναν το σύστημα ασταθή. Μου πάγωσε 2 φορές το desktop, τη μια από τις 2 φορές όταν έκανα backup ένα φάκελο με drug'n'drop σε ένα εξωτερικό δίσκο.
Πάντως έχω τον κατάλογο με τα αρχεία που αναβαθμίστηκαν στις 16/7, αλλά με τον package manager που προσπάθησα να υποβαθμίσω μερικά, έκανα cancel γιατί δεν είχε τις προηγούμενες εκδόσεις που είχα εγκατεστημένες και σε μερικά δεν μου έδινε καθόλου επιλογή υποβάθμισης και φοβήθηκα μη μείνω με κανένα εντελώς χαλασμένο σύστημα.
 

Αποσυνδεδεμένος malapetsasc

  • Cool Mint Master
  • ********
  • Μηνύματα: 88
  • Thanked: 10 times
  • Karma: 4
    • Προφίλ
Απ: Έκανα πατάτα με το sudo apt-get upgrade!
« Απάντηση #3 στις: Σεπτέμβριος 14, 2017, 09:53:27 μμ »
Έδωσα την εντολή: 'sudo dpkg --configure -a' και ολοκλήρωσε την εγκατάσταση σε κάποια πακέτα που εκκρεμούσαν, χωρίς να εγκαταστήσει όλα τα επικίνδυνα πακέτα. Πάντως και αυτά που εγκαταστάθηκαν, έκαναν το σύστημα ασταθή. Μου πάγωσε 2 φορές το desktop, τη μια από τις 2 φορές όταν έκανα backup ένα φάκελο με drug'n'drop σε ένα εξωτερικό δίσκο.
Πάντως έχω τον κατάλογο με τα αρχεία που αναβαθμίστηκαν στις 16/7, αλλά με τον package manager που προσπάθησα να υποβαθμίσω μερικά, έκανα cancel γιατί δεν είχε τις προηγούμενες εκδόσεις που είχα εγκατεστημένες και σε μερικά δεν μου έδινε καθόλου επιλογή υποβάθμισης και φοβήθηκα μη μείνω με κανένα εντελώς χαλασμένο σύστημα.

Εγώ σε Lmde κάνω ολες τις αναβαθμίσεις μεχρι το επιπεδο 3 και δεν εχω καποιο προβλημα μεχρι τώρα. μια φορα μονο μου εκανε κοληματα και εφταιγε η αναβαθμιση των οδηγών της καρτας γραφικών. Τους αλαξα και δεν ξανακολησε απο τότε.
Θα κοίταγα πρώτα πρώτα την κάρτα γραφικών..δες τι οδηγό εχει εγκαταστήσει με την αναβαθμιση μήπως δημιουργεί προβλημα ο νεος οδηγός.
Αν εξακολουθήσει δες μηπως αναβαθμισε τον πυρίνα και περασε καποια ασταθή εκδοση.
System:    Host: lmde2 Kernel: 3.16.0-4-amd64 x86_64 (64 bit)
           Desktop: Cinnamon 3.4.6  Distro: LinuxMint 2 betsy
CPU:       Dual core Intel Core2 Duo E8400 (-MCP-) cache: 6144 KB
           Clock Speeds: 1: 2000 MHz 2: 2000 MHz
Graphics:  Card: NVIDIA G92 [GeForce 9800 GTX / 9800 GTX+]
           Display Server: X.Org 1.16.4 drivers: nouveau (unloaded: fbdev,vesa)
           Resolution: [email protected]
           GLX Renderer: Gallium 0.4 on NV92 GLX Version: 3.0 Mesa 10.3.2
Audio:     Card-1 Intel 82801I (ICH9 Family) HD Audio Controller
           driver: snd_hda_intel
           Card-2 Logitech QuickCam E 3500 driver: USB Audio
           Sound: Advanced Linux Sound Arc

 

Τελευταία θέματα